Bug 449267 - compiling kernel crashes in 'make defconfig'
compiling kernel crashes in 'make defconfig'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 07:03 EDT by Michael V. David
Modified: 2009-01-09 01:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael V. David 2008-06-01 07:03:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
When configuring a pristine kernel tree (2.6.24.7), gcc gets a segfault while compiling scripts/kconfig/conf.c.


Version-Release number of selected component (if applicable):
gcc-4.1.2-33

How reproducible:
Always


Steps to Reproduce:
1. Unpack kernel source from linux-2.6.24.7.tar.bz2.
2. make defconfig

Actual Results:
The compile exited with an error message, as follows:

$ make defconfig
  HOSTCC  scripts/kconfig/conf.o
scripts/kconfig/conf.c: In function âmainâ:
scripts/kconfig/conf.c:631: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccldER0H.out file, please attach this to your bugreport.
make[1]: *** [scripts/kconfig/conf.o] Error 1
make: *** [defconfig] Error 2


Expected Results:
"make defconfig" should successfully compile a few components, and produce a .config file with the default answers.


Additional info:
Comment 1 Denys Vlasenko 2008-07-21 11:35:36 EDT
Just a data point: with Fedora 9 default compiler:

# gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
...
gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC)

it does not happen.
Comment 2 Bug Zapper 2008-11-26 05:48:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:33:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.